--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: s
comment: 
- !ruby/struct:SM::Flow::P 
  body: Yield all rows matching this dataset. If the dataset is set to split multiple statements, yield arrays of hashes one per statement instead of yielding results for all statements as hashes.
full_name: Sequel::MySQL::Dataset#fetch_rows
is_singleton: false
name: fetch_rows
params: (sql, &block) {|s| ...}
visibility: public
